[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TCustomControlFilterEdit.ReturnKeyHandled

Indicates whether an assigned OnKeyPress event handler handles the Return or Enter key in the KeyDown method for the Edit.

## Declaration

Source position: editbtn.pas line 268

`protected function TCustomControlFilterEdit.ReturnKeyHandled: Boolean; virtual; abstract;`

## Function result

True if OnKeyPress is assigned and handles the VK_RETURN key code.

## Description

Abstract virtual method that must be implemented in a descendent class.